@charset "utf-8";

@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');

* { box-sizing: border-box; }

nav {
    z-index: 10;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0px;
    width: 100%;
    font-size: 18px;
    left: 0px;
    font-family: 'Open Sans', sans-serif;
}

nav .logo-container img {
    width: 75%;
    height: auto;
    padding-top: 15px;
    padding-bottom: 10px;
}

nav .logo-container {
    color: white;
    margin-left: .5em;
}

nav ul {
    display: flex;
    padding: 0;
    margin: .5em 0 .5em 0;
}

nav li {
    list-style: none;
    margin-right: 1em;
    padding: .6em;
}

nav a {
    color: white;
    text-decoration: none;
    font-family: 'Open Sans', sans-serif;
}

nav a#studio:hover { color: #00FDFF; }
nav a#events:hover { color: #FF0000; }
nav a#macro:hover  { color: #FFFF00; }
nav a#sports:hover { color: #29ABE2; }
nav a#travel:hover { color: #00FF00; }
nav a#music:hover  { color: #FF00FF; }

.container-burger {
    display: none;
    cursor: pointer;
    position: absolute;
    right: 20px;
    top: 20px;
}

.line1, .line2, .line3 {
    width: 30px;
    height: 4px;
    background-color: white;
    margin: 5px;
    transition: .3s;
}

.active-burger .line1 { transform: rotate(-45deg) translate(-6px, 5px); }
.active-burger .line2 { opacity: 0; }
.active-burger .line3 { transform: rotate(45deg) translate(-6px, -5px); }

.show-menu-mobile {
    display: flex;
    flex-direction: column;
    align-self: flex-end;
    margin-right: 10px;
    max-width: 200px;
    max-height: 380px;
    align-content: space-around;
    text-align: center;
    background-color: rgba(0,0,0,0.85);
    transition: .3s;
}

@media screen and (max-width: 700px) {
    .container-burger { display: block; }

    nav {
        flex-direction: column;
        align-items: flex-start;
        padding: .5em 0;
        position: fixed;
        z-index: 100;
        font-size: 24px;
    }

    nav .logo-container img {
        width: 60%;
        height: auto;
        padding-top: 15px;
    }

    nav ul {
        display: none;
        margin: 0;
        width: 100%;
    }
}